Volume Snapshot
All operations require authentication.
List snapshotsProduction
Returns the volume snapshots of the project.
Path parameters
Project ID
Query parameters
Filter by source volume ID
Headers
Pagination cursor
Pagination size
Response
Computed hash representing the current target specification value
Creation date of the snapshot
Current observed state of the snapshot from the infrastructure
Ongoing asynchronous tasks related to the snapshot
Unique identifier of the snapshot
Snapshot readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the snapshot
Last update date of the snapshot
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ block/ snapshot \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "size": 0, "status": "AVAILABLE", "volumeId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "volumeId": "00000000-0000-0000-0000-000000000000" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Get a snapshotProduction
Returns the snapshot configuration and its current state, including its size and source volume.
Path parameters
Id
Project ID
Response
Computed hash representing the current target specification value
Creation date of the snapshot
Current observed state of the snapshot from the infrastructure
Ongoing asynchronous tasks related to the snapshot
Unique identifier of the snapshot
Snapshot readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the snapshot
Last update date of the snapshot
Example uses id = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ block/ snapshot/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "size": 0, "status": "AVAILABLE", "volumeId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "volumeId": "00000000-0000-0000-0000-000000000000" }, "updatedAt": "2024-01-01T12:00:00Z"}
Create a snapshotProduction
Creates a snapshot of a volume. A new volume can then be created from it.
Path parameters
Project ID
Request body (required)
Desired target specification for the snapshot
Response
Computed hash representing the current target specification value
Creation date of the snapshot
Current observed state of the snapshot from the infrastructure
Ongoing asynchronous tasks related to the snapshot
Unique identifier of the snapshot
Snapshot readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the snapshot
Last update date of the snapshot
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ block/ snapshot \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "size": 0, "status": "AVAILABLE", "volumeId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "volumeId": "00000000-0000-0000-0000-000000000000" }, "updatedAt": "2024-01-01T12:00:00Z"}
Delete a snapshotProduction
Deletes the snapshot.
Path parameters
Id
Project ID
Response
Computed hash representing the current target specification value
Creation date of the snapshot
Current observed state of the snapshot from the infrastructure
Ongoing asynchronous tasks related to the snapshot
Unique identifier of the snapshot
Snapshot readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the snapshot
Last update date of the snapshot
Example uses id = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ block/ snapshot/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "size": 0, "status": "AVAILABLE", "volumeId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "volumeId": "00000000-0000-0000-0000-000000000000" }, "updatedAt": "2024-01-01T12:00:00Z"}
Update a snapshotProduction
Updates the snapshot name and description. Send the current checksum to prevent overwriting a concurrent change.
Path parameters
Id
Project ID
Request body (required)
Optional concurrency-control checksum. When supplied, it must match the resource's current checksum or the request is rejected with a 409 checksum-mismatch conflict. When omitted or empty, the concurrency check is skipped and the write is forced (last-write-wins).
Desired target specification for the snapshot
Response
Computed hash representing the current target specification value
Creation date of the snapshot
Current observed state of the snapshot from the infrastructure
Ongoing asynchronous tasks related to the snapshot
Unique identifier of the snapshot
Snapshot readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the snapshot
Last update date of the snapshot
Example uses id = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ block/ snapshot/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "size": 0, "status": "AVAILABLE", "volumeId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "volumeId": "00000000-0000-0000-0000-000000000000" }, "updatedAt": "2024-01-01T12:00:00Z"}